{
	saved_FirstTime[1] saved_NumObjectives[4] saved_CurObjective[0] saved_ChargeFin[0] saved_FirstLine[0] saved_BackupFin[0] saved_SilenceBroken[0] saved_CBUPath[0] saved_BuildingClear[0] saved_SneakyDone[0] saved_NervousNellie[0] saved_MG42Church[0] saved_SideSwiped[0] saved_TriggerFlak[0] saved_Ambush[0] saved_MG42er3[0] saved_Graveyard[0] saved_Explosives[0] saved_FlakFollow[0] saved_CoverTrigger[0] saved_door_block[0]
	saved_LevelLoad[1] saved_Surprised[0] saved_Yard_Ready[0]

	Init[()
	{
		if(saved_FirstTime = 1)
		{
			saved_FirstTime = 0;

			AddObjective(121, 24992, 37200); SetObjectiveActive(0, true);
			AddObjective(122, 41408, 33856); SetObjectiveActive(1, false);
			AddObjective(123, 36994, 18240); SetObjectiveActive(2, false);
			AddObjective(124, 0, 0); SetObjectiveActive(3, false);

			me = GetPlayer(); me.GiveWeapon(41,9); me.GiveWeapon(43,8); me.GiveWeapon(40,4); me.GiveWeapon(42,6);
			me.SetNationality(0);
			me.SetInvulnerable(0);

			AutoSave();
		}
	}]

	OnLevelLoad[ ()
	{
		PlayAmbient(84);

		if( saved_LevelLoad = 1 )
		{
			saved_LevelLoad = 0;

			SetMessage(125,75,35);
			SetMessage2(533,75,65);
			SetMessage3(503,75,80);
		}
	}]

	ActorKilled[(who)
	{
		if(who = "joe")
		{
			GetEntity("moe").Charge2();
		}
		if(who = "steve")
		{
			GetEntity("larry").Charge2();
		}
		if(who = "bill")
		{
			GetEntity("curly").Charge2();
		}
		if(who = "yard1")
		{
			GetEntity("ybu1").Charge2();
		}
		if(who = "yard3")
		{
			GetEntity("ybu2").Charge2();
		}
	}]

	EnterZone[(zone)
	{
		if(zone = "CHARGE")
		{
			if(saved_ChargeFin = 0)
			{
				saved_ChargeFin = 1; GetEntity("foley").Charge(); GetEntity("brock").Charge(); GetEntity("chuck").Charge(); GetEntity("sideguy").GoDo();
			}
		}
		if(zone = "CHARGE_MG42_ATK")
		{
			if(saved_FirstLine = 0)
			{
				saved_FirstLine = 1;
				GetEntity("Steveo").GetYerGun();
				GetEntity("grman1").Killem();
				GetEntity("grman2").Killem();
				GetEntity("grman3").Killem();
			}
		}
		if(zone = "Backup_1")
		{
			if(saved_BackupFin = 0)
			{
				saved_BackupFin = 1; GetEntity("foley").ClearOut(); GetEntity("brock").ClearOut();
			}
		}
		if(zone = "GR_Chatter_Attack")
		{
			if(saved_SilenceBroken = 0)
			{
				dude1=GetEntity("pete");
				dude2=GetEntity("pete2");

				saved_SilenceBroken = 1;

				if( not dude1.IsDead() )
				{
					dude1.QuitTalking();
				}
				if( not dude2.IsDead() )
				{
					dude2.QuitTalking();
				}

				GetEntity("jill").QuitTalking2();
			}
		}
		if(zone = "ChatterBackUp")
		{
			if(saved_CBUPath = 0)
			{
				saved_CBUPath=1; GetEntity("jill").GoPath(); GetEntity("guide").CoverAgain();
			}
		}
		if(zone = "Enter_Building")
		{
			if(saved_BuildingClear=0)
			{
				saved_BuildingClear=1; GetEntity("foley").ClearBuilding(); GetEntity("brock").ClearBuilding();
			}
		}
		if(zone = "Alley_Charger")
		{
			if(saved_SneakyDone = 0)
			{
				saved_SneakyDone=1; GetEntity("sneaky").SneakAround(); GetEntity("guide").GuideAgain();
			}
		}
		if(zone = "NervousGuy")
		{
			if(saved_NervousNellie = 0)
			{
				saved_NervousNellie=1;
				GetEntity("foley").ToFlak();
				GetEntity("brock").ToFlak();
			}
		}
		if(zone = "Trigger_MG42er_Church")
		{
			if(saved_MG42Church = 0)
			{
				saved_MG42Church=1; GetEntity("fuckhd").GetYerGun();
			}
		}
		if(zone = "Flak2_Charger")
		{
			if(saved_SideSwiped = 0)
			{
				saved_SideSwiped=1; GetEntity("sideguy").GoPath();
			}
		}
		if(zone = "Trigger_MG42er_Flak")
		{
			if(saved_TriggerFlak = 0)
			{
				saved_TriggerFlak=1; GetEntity("fgun1").GetYerGun();
			}
		}
		if(zone = "Corner_Ambush")
		{

			if(saved_Ambush = 0)
			{
				saved_Ambush = 1; GetEntity("corner1").Ambush(); GetEntity("corner2").Ambush();	GetEntity("corner3").Ambush();
			}
		}
		if(zone = "Trigger_MG42er_3")
		{
			if(saved_MG42er3 = 0)
			{
				saved_MG42er = 1; GetEntity("rusher").GoPath();	GetEntity("frntatk").GoPath(); GetEntity("sideatk").GoPath();
				GetEntity("foley").WarpEnd();
				GetEntity("brock").WarpEnd();
				GetEntity("fgun2").GetYerGun();
			}
		}
		if(zone = "To_Graveyard")
		{
			if(saved_Graveyard = 0)
			{
				saved_Graveyard = 1;
				GetEntity("foley").GoGraveyard();
				GetEntity("brock").GoGraveyard();
				GetEntity("guide").Warp();
			}
		}
		if(zone = "SetExplosives")
		{
			if(saved_Explosives = 0)
			{
				saved_Explosives = 1;
				GetEntity("foley").PlaySound(88);
			}
		}
		if(zone = "Flak_Blown_Follow")
		{
			if(saved_FlakFollow = 0)
			{
				saved_FlakFollow = 1;
				GetEntity("foley").FlakFollow();
				GetEntity("brock").FlakFollow();
			}
		}

		if(zone = "Cover_Call")
		{
			if(saved_CoverTrigger=0)
			{
				saved_CoverTrigger = 1;
				GetEntity("guide").CoverOrders();
			}
		}
		if(zone = "door_block")
		{
			if(saved_door_block=0)
			{
				if(saved_CurObjective = 2)
				{
					saved_door_block=1;
					gate = GetEntity("block");
					gate.ShowEntity(false);
					gate.SetPassable(true);
				}
			}
		}
		if(zone="Surprised")
		{
			if(saved_Surprised=0)
			{
				saved_Surprised=1;
				dude=GetEntity("fuckhd").Surprised();
			}
		}
		if(zone="Yard_Ready")
		{
			if(saved_Yard_Ready=0)
			{
				saved_Yard_Ready=1;
				GetEntity("yard1").Killem();
				GetEntity("yard2").Killem();
				GetEntity("yard3").Killem();
			}
		}
	}]
}